Sykje yn Support

Mij stipescams. Wy sille jo nea freegje in telefoannûmer te beljen, der in sms nei ta te stjoeren of persoanlike gegevens te dielen. Meld fertochte aktiviteit mei de opsje ‘Misbrûk melde’.

Learn More

Dizze konversaasje is argivearre. Stel in nije fraach as jo help nedich hawwe.

Can't update firefox

  • 2 antwurd
  • 1 hat dit probleem
  • 22 werjeftes
  • Lêste antwurd fan cor-el

more options

I have windows 7 and am unable to update firefox. Chase bank will not respond to older version. Firefox has not updated automatically and I can't update it myself

I have windows 7 and am unable to update firefox. Chase bank will not respond to older version. Firefox has not updated automatically and I can't update it myself

Alle antwurden (2)

more options

If you have trouble with the upgrade, use this link; http://www.mozilla.org/en-US/firefox/all/

more options

Your troubleshooting information shows Firefox 52 on Windows XP and Firefox 52.9.0 is the last version for this platform Current Firefox releases require Windows 7 and newer. Users on Windows XP and Vista have been moved to the Firefox 52 ESR version.

Did you use another computer or are you really on Windows XP ?

Check that you do not run Firefox in compatibility mode. You can open the Properties of the Firefox desktop shortcut via the right-click context menu and check the "Compatibility" tab. Make sure that all items are deselected in the "Compatibility" tab of the Properties window.